## com.artofsolving.jodconverter
Class BasicDocumentFormatRegistry

    java.lang.Object
      com.artofsolving.jodconverter.BasicDocumentFormatRegistry

All Implemented Interfaces:
  DocumentFormatRegistry

Direct Known Subclasses:
  DefaultDocumentFormatRegistry, XmlDocumentFormatRegistry

    public class BasicDocumentFormatRegistry

extends java.lang.Object
implements DocumentFormatRegistry

Constructor Summary
`BasicDocumentFormatRegistry()`

Method Summary
`void` `addDocumentFormat(DocumentFormat documentFormat)`
`protected java.util.List` `getDocumentFormats()`
`DocumentFormat` `getFormatByFileExtension(java.lang.String extension)`
`DocumentFormat` `getFormatByMimeType(java.lang.String mimeType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicDocumentFormatRegistry

    public BasicDocumentFormatRegistry()

Method Detail

### addDocumentFormat

    public void addDocumentFormat(DocumentFormat documentFormat)

### getDocumentFormats

    protected java.util.List getDocumentFormats()

### getFormatByFileExtension

    public DocumentFormat getFormatByFileExtension(java.lang.String extension)

  Specified by:
    `getFormatByFileExtension` in interface `DocumentFormatRegistry`
  Parameters:
    `extension` - the file extension
  Returns:
    the DocumentFormat for this extension, or null if the extension is not mapped

### getFormatByMimeType

    public DocumentFormat getFormatByMimeType(java.lang.String mimeType)

  Specified by:
    `getFormatByMimeType` in interface `DocumentFormatRegistry`

Copyright © 2003-2009 Art of Solving. All Rights Reserved.